using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Takmicenje3
{
    class Program
    {
        static void Main(string[] args)
        {
            int brTakmicara = Convert.ToInt16(Console.ReadLine());
            int[] x = new int[brTakmicara];
            int[] y = new int[brTakmicara];
            for (int i = 0; i < brTakmicara; i++) {
                string[] koordinate = Console.ReadLine().Split();
                x[i] = Convert.ToInt16(koordinate[0]);
                y[i] = Convert.ToInt16(koordinate[1]);
            }

            int brKontrolora = 0;
            for (int i = 0; i < brTakmicara; i++) {
                for (int j = i+1; j < brTakmicara; j++) {
                    if (j == i)
                        continue;
                    double m = (y[i] - y[j]) / (double)(x[i] - x[j]);
                    for (int k = 0; k < brTakmicara; k++) {
                        if (k == i || k == j || i == brTakmicara-2)
                            continue;

                        for (int l = k+1; l < brTakmicara; l++) {
                            if (l == i || l == j || l == k)
                                continue;

                            double m1 = (y[k] - y[l]) / (double)(x[k] - x[l]);
                            if (m == m1 && (Math.Sqrt(Math.Pow(x[j] - x[i], 2) + Math.Pow(y[j] - y[i], 2)) >= 2 * Math.Sqrt(Math.Pow(x[l] - x[k], 2) + Math.Pow(y[l] - y[k], 2)) || Math.Sqrt(Math.Pow(x[j] - x[i], 2) + Math.Pow(y[j] - y[i], 2)) <= 2 * Math.Sqrt(Math.Pow(x[l] - x[k], 2) + Math.Pow(y[l] - y[k], 2))))
                            {
                                brKontrolora++;
                            }
                        }
                    }
                }
            }

            Console.Write(brKontrolora);
            Console.ReadKey();
        }
    }
}